
const
	types = require('./types')

class Mime {

	constructor () {

		this.___types = {}
		this.___extensions = {}

		this.define(types)

	}

	define (ts) {

		let
			i = null,
			t = null

		let
			exts = null

		for (t in ts) {

			exts = ts[t]

			for (i = 0; i < exts.length; i++) {

				this.___types[exts[i]] = t

			}

			this.___extensions[t] = exts[0]

		}

	}

	lookup (p) {

		const
			e = p.replace(/.*[\.\/\\]/, '').toLowerCase()

		return this.___types[e]

	}

	extension (e) {

		const
			t = e.match(/^\s*([^;\s]*)(?:;|\s|$)/)[1].toLowerCase()

		return this.___extensions[t]

	}

}

const
	mime = new Mime()

module.exports = mime


